Bug 104019 - Undo formatting in Textfields lost after Focus change
Summary: Undo formatting in Textfields lost after Focus change
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Draw
  Show dependency treegraph
 
Reported: 2016-11-18 19:52 UTC by Andreas B.
Modified: 2019-12-03 13:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas B. 2016-11-18 19:52:50 UTC
Steps to reproduce:

1. Open draw, create A Texfield (or a Rectangle, works the same)
2. Write Text to the Textfield. To exactly reproduce my result copy this:
---
Test1
Test2
Test3
Test4
--
3. Set the Cursor to "Test3", set Press "Center" or CTRL+E to center the text
4. Press CTRL+Z, the Text "Test3" is now left aligned again, as expected


5. Delete the Textfield.
6. Repeat Step 1 to 3
7. Click outside the Textfield, the Textfield lost the Foucus and the Editing border.
8. Press CTRL+Z

Expected Result:
The Text "Test3" is now left aligned

Current Result:
The whole Text is deleted!
Comment 1 Buovjaga 2016-11-24 11:39:44 UTC
Repro.

Win 7
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2017-11-25 09:43:11 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-12-03 13:54:31 UTC
Dear Andreas B.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug